package com.ibm.emb.test.mfb;

import junit.framework.Test;
import junit.framework.TestSuite;

import com.ibm.emb.junit.EMBTestRunner;
import com.ibm.emb.test.MediaConverterSpecTest;
import com.ibm.emb.test.MediaConverterTest;
import com.ibm.emb.test.MediaFormatTest;
import com.ibm.emb.test.MediaHeaderTest;

/**
 * All Tests class for this subcomponent add tests for all subcomponents to the
 * suite method here
 */
public class AllTests {

    public static void main(String[] args) {
        EMBTestRunner.run(suite());
    }

    public static Test allSuite() {
        TestSuite suite = new TestSuite("All EMB javax Tests");

        suite.addTestSuite(BmpFormatTest.class);
        suite.addTestSuite(BmpHeaderTest.class);
        suite.addTestSuite(BmpToJpegConverterSpecTest.class);
        suite.addTestSuite(GenericPlayListTest.class);
        suite.addTestSuite(ImageConverterTest.class);
        suite.addTestSuite(ImageResizeConverterSpecTest.class);
        suite.addTestSuite(JpegFormatTest.class);
        suite.addTestSuite(JpegHeaderTest.class);
        suite.addTestSuite(JpegToBmpConverterSpecTest.class);
        suite.addTestSuite(MpegAudioFormatTest.class);
        suite.addTestSuite(MpegAudioHeaderTest.class);
        suite.addTestSuite(MpegVideoFormatTest.class);
        suite.addTestSuite(MpegVideoHeaderTest.class);
        suite.addTestSuite(WavFormatTest.class);
        suite.addTestSuite(WavHeaderTest.class);

        return suite;
    }

    public static Test suite() {
        TestSuite suite = new TestSuite("All EMB MFB standard compliancy Tests");

        suite.addTest(MediaFormatTest.stdSuite("com.ibm.emb.test.mfb.BmpFormatTest"));
        suite.addTest(MediaFormatTest.stdSuite("com.ibm.emb.test.mfb.JpegFormatTest"));
        suite.addTest(MediaFormatTest.stdSuite("com.ibm.emb.test.mfb.MpegAudioFormatTest"));
        suite.addTest(MediaFormatTest.stdSuite("com.ibm.emb.test.mfb.MpegVideoFormatTest"));
        suite.addTest(MediaFormatTest.stdSuite("com.ibm.emb.test.mfb.WavFormatTest"));
        suite.addTest(MediaFormatTest.stdSuite("com.ibm.emb.test.mfb.GenericPlayListTest"));

        suite.addTest(MediaHeaderTest.stdSuite("com.ibm.emb.test.mfb.BmpHeaderTest"));
        suite.addTest(MediaHeaderTest.stdSuite("com.ibm.emb.test.mfb.JpegHeaderTest"));
        suite.addTest(MediaHeaderTest.stdSuite("com.ibm.emb.test.mfb.MpegAudioHeaderTest"));
        suite.addTest(MediaHeaderTest.stdSuite("com.ibm.emb.test.mfb.MpegVideoHeaderTest"));
        suite.addTest(MediaHeaderTest.stdSuite("com.ibm.emb.test.mfb.WavHeaderTest"));
        suite.addTest(MediaConverterSpecTest.stdSuite("com.ibm.emb.test.mfb.BmpToJpegConverterSpecTest"));
        suite.addTest(MediaConverterSpecTest.stdSuite("com.ibm.emb.test.mfb.ImageResizeConverterSpecTest"));
        suite.addTest(MediaConverterSpecTest.stdSuite("com.ibm.emb.test.mfb.JpegToBmpConverterSpecTest"));

        suite.addTest(MediaConverterTest.stdSuite("com.ibm.emb.test.mfb.ImageConverterTest"));
        return suite;
    }

}
